## org.eclipse.amp.amf.parameters
Class AbstractAParRuntimeModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.service.DefaultRuntimeModule
              org.eclipse.amp.amf.parameters.AbstractAParRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  AParRuntimeModule

    public abstract class AbstractAParRuntimeModule

extends org.eclipse.xtext.service.DefaultRuntimeModule

Manual modifications go to {org.eclipse.amp.amf.parameters.AParRuntimeModule}

Constructor Summary
`AbstractAParRuntimeModule()`

Method Summary
`java.lang.Class<? extends AParJavaValidator>` `bindAParJavaValidator()`
`java.lang.Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider>` `bindIAllContainersState$Provider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrParser>` `bindIAntlrParser()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider>` `bindIAntlrTokenFileProvider()`
`java.lang.Class<? extends org.eclipse.xtext.resource.IContainer.Manager>` `bindIContainer$Manager()`
`java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter>` `bindIFormatter()`
`java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider>` `bindIGlobalScopeProvider()`
`java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess>` `bindIGrammarAccess()`
`java.lang.Class<? extends org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor>` `bindIParseTreeConstructor()`
`java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` `bindIQualifiedNameProvider()`
`java.lang.Class<? extends org.eclipse.xtext.scoping.IScopeProvider>` `bindIScopeProvider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider>` `bindITokenDefProvider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter>` `bindITokenToStringConverter()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer>` `bindLexer()`
`void` `configure(com.google.inject.Binder binder)`
`void` `configureIResourceDescriptions(com.google.inject.Binder binder)`
`void` `configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)`
`void` `configureIScopeProviderDelegate(com.google.inject.Binder binder)`
`void` `configureRuntimeLexer(com.google.inject.Binder binder)`
`com.google.inject.Provider<InternalAParLexer>` `provideInternalAParLexer()`

Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIParser, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindSerializerUtil, bindXtextResource, bindXtextResourceSet, configureRuntimeEncodingProvider, provideIEncodingProvider`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`getBindings`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAParRuntimeModule

    public AbstractAParRuntimeModule()

Method Detail

### configure

    public void configure(com.google.inject.Binder binder)

  Specified by:
    `configure` in interface `com.google.inject.Module`
  Overrides:
    `configure` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIGrammarAccess

    public java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess> bindIGrammarAccess()

### bindIParseTreeConstructor

    public java.lang.Class<? extends org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor> bindIParseTreeConstructor()

### bindIAntlrParser

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrParser> bindIAntlrParser()

### bindITokenToStringConverter

    public java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter> bindITokenToStringConverter()

  Overrides:
    `bindITokenToStringConverter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIAntlrTokenFileProvider

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider> bindIAntlrTokenFileProvider()

### bindLexer

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer> bindLexer()

### provideInternalAParLexer

    public com.google.inject.Provider<InternalAParLexer> provideInternalAParLexer()

### configureRuntimeLexer

    public void configureRuntimeLexer(com.google.inject.Binder binder)

### bindITokenDefProvider

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider> bindITokenDefProvider()

  Overrides:
    `bindITokenDefProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindAParJavaValidator

    public java.lang.Class<? extends AParJavaValidator> bindAParJavaValidator()

### bindIScopeProvider

    public java.lang.Class<? extends org.eclipse.xtext.scoping.IScopeProvider> bindIScopeProvider()

  Overrides:
    `bindIScopeProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### configureIScopeProviderDelegate

    public void configureIScopeProviderDelegate(com.google.inject.Binder binder)

### bindIGlobalScopeProvider

    public java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider> bindIGlobalScopeProvider()

  Overrides:
    `bindIGlobalScopeProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIQualifiedNameProvider

    public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

  Overrides:
    `bindIQualifiedNameProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIFormatter

    public java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

  Overrides:
    `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIContainer$Manager

    public java.lang.Class<? extends org.eclipse.xtext.resource.IContainer.Manager> bindIContainer$Manager()

  Overrides:
    `bindIContainer$Manager` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIAllContainersState$Provider

    public java.lang.Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider> bindIAllContainersState$Provider()

### configureIResourceDescriptions

    public void configureIResourceDescriptions(com.google.inject.Binder binder)

  Overrides:
    `configureIResourceDescriptions` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### configureIResourceDescriptionsBuilderScope

    public void configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)

  Overrides:
    `configureIResourceDescriptionsBuilderScope` in class `org.eclipse.xtext.service.DefaultRuntimeModule`